#
# Conditional build:
%bcond_with	lirc	# with LIRC support.
#
Summary:	ncurses-based based MP3 player
Summary(pl.UTF-8):	Odtwarzacz plików MP3 bazowany na ncurses
Name:		mp3blaster
Version:	3.2.5
Release:	3
License:	GPL
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/mp3blaster/%{name}-%{version}.tar.gz
# Source0-md5:	edb3bb122553d2d544dfb084010311c6
Patch0:		%{name}-gcc4.patch
Patch1:		%{name}-misc.patch
URL:		http://mp3blaster.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libvorbis-devel >= 1:1.0
%{?with_lirc:BuildRequires:	lirc-devel}
BuildRequires:	ncurses-devel >= 5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mp3blaster is an interactive text-based MP3 player. One of the unique
features of this player is the ability to divide a playlist into
groups (albums). Therefore, the play order can be adjusted with great
flexibility.

%description -l pl.UTF-8
mp3blaster to interaktywny odtwarzacz plików MP3 pracujący w trybie
tekstowym. Jedną z wyjątkowych cech tego odtwarzacza jest możliwość
dzielenia list odtwarzanych plików na grupy (albumy). Dzięki temu
kolejność odtwarzania może być dobierana w bardzo elastyczny sposób.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1  # check me!!!

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?with_lirc:--with-lirc} \
	--with-oggvorbis
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
#%doc AUTHORS CREDITS ChangeLog NEWS README README.lirc TODO BUGS FAQ
%doc AUTHORS CREDITS ChangeLog NEWS README TODO BUGS FAQ
%attr(755,root,root) %{_bindir}/*
%{_datadir}/mp3blaster
%{_mandir}/man1/*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mp3blaster.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a18aa8b
- ncurses rebuild
- release 3 (by relup.sh)

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d8ef13
- release 2

* Sun Nov 08 2009 Adam Gołębiowski <adamg@pld-linux.org> 6cded09
- new

* Sun Nov 08 2009 Adam Gołębiowski <adamg@pld-linux.org> 6d501ea
- updated to 3.2.5

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 6751ccc
- s/enviroment/environment/

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 64ec27f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 97d5da9
- converted to UTF-8

* Sun Aug 06 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> eb4cd79
- updated to 3.2.3

* Mon Jul 17 2006 Paweł Gołaszewski <blues@pld-linux.org> b5cdb29
- 3.2.2 - changed URL and sources location. Commented out patch0, which
  seems to be unfinished (according to changelog) and does not currently
  applies. Waiting for author.

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> a60c907
- orphaned, outdated

* Wed Jan 25 2006 adasi <adasi@pld-linux.org> b4dc42c
- fixing issue with not-detached threads (memory leak)
- better search (using case-insensitive regexp instead of simple strncmp on
  beginning of file name) + tab switches to next found
- basic queuing (using TAB)
- TODO: fix next_song on queuing, mark queued files, tab cycles to next
  found

* Sun May 15 2005 Adam Gołębiowski <adamg@pld-linux.org> b080a67
- release 2 for Th

* Wed Mar 23 2005 Elan Ruusamäe <glen@pld-linux.org> 99be323
- dropped SourceX-size

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> 01d1a4a
- "MP3" unification

* Mon Oct 11 2004 Sławomir Paszkiewicz <paszczus@pld-linux.org> d7fc19a
- added Source0-size

* Thu Sep 02 2004 snurf <snurf@pld-linux.org> 5c19b79
- typos / formatting / etc.

* Sat Aug 21 2004 domelu <domelu@pld-linux.org> 6ec3edb
- new style bconds

* Sun Aug 15 2004 Sławomir Paszkiewicz <paszczus@pld-linux.org> bf03745
- release 1

* Tue Aug 10 2004 wojrus <wojrus@pld-linux.org> d3900a1
- lirc patch included in version 3.2.0

* Thu Apr 15 2004 Jakub Bogusz <qboosh@pld-linux.org> 4add883
- obsolete

